#
# spec file for package libidl (Version 0.8.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip indent info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libidl
BuildRequires:  glib2-devel indent popt-devel
Summary:        IDL Parsing Library
Version:        0.8.6
Release:        18.2
Source:         libIDL-%{version}.tar.bz2
License:        LGPL
Group:          System/Libraries
Prefix:         /opt/gnome
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq
Autoreqprov:    on
Requires:       gnome-filesystem

%description
LibIDL is a small library for creating parse trees of CORBA
v2.2-compliant Interface Definition Language (IDL) files. IDL is a
specification for defining interfaces that can be used between
different CORBA implementations.



Authors:
--------
    Andrew T. Veliath <andrewtv@usa.net>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Requires:       %{name} = %{version} glib2-devel
Autoreqprov:    on

%description devel
LibIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.



Authors:
--------
    Andrew T. Veliath <andrewtv@usa.net>

%prep
%setup -n libIDL-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --libdir=%prefix/%_lib --infodir=%prefix/share/info
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
gzip -9 $RPM_BUILD_ROOT/%{prefix}/share/info/*.info
rm -f $RPM_BUILD_ROOT/%{prefix}/share/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%post devel
%install_info --info-dir=%{prefix}/share/info %{prefix}/share/info/libIDL2.info.gz

%postun devel
%install_info_delete --info-dir=%{prefix}/share/info %{prefix}/share/info/libIDL2.info.gz

%files
%defattr(-,root,root)
%doc COPYING ChangeLog AUTHORS README* NEWS BUGS tstidl.c
%prefix/%_lib/lib*.so.*

%files devel
%defattr(-,root,root)
%prefix/bin/*
%prefix/%_lib/pkgconfig/*.pc
%prefix/%_lib/lib*.*a
%prefix/%_lib/lib*.so
%prefix/include/*
%doc %{prefix}/share/info/*info.gz

%changelog -n libidl
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 - kukuk@suse.de
- Fix filelist
* Mon Aug 01 2005 - gekker@suse.de
- Update to version 0.8.6
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Thu Feb 10 2005 - gekker@suse.de
- Update version to 0.8.5
* Wed Nov 17 2004 - gekker@suse.de
- Update version to 0.8.4
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Tue Mar 02 2004 - sbrabec@suse.cz
- Fixed AC_DEFUN underquoting (bug #34763).
* Thu Feb 05 2004 - hhetter@suse.de
- updated to version 0.8.3 [GNOME 2.4.2]
* Sun Jan 11 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 12 2003 - sbrabec@suse.cz
- Updated to version 0.8.2.
* Sun Jun 01 2003 - ro@suse.de
- fix info page installation
* Tue Jul 02 2002 - hhetter@suse.de
- no longer require texinfo
* Tue Jun 04 2002 - ro@suse.de
- fix requires for devel package
* Tue Jun 04 2002 - hhetter@suse.de
- updated to 0.8.0 source frozen release
  * link against glib2
  * build fixes
* Wed May 08 2002 - meissner@suse.de
- %%_lib changes
* Tue Apr 09 2002 - hhetter@suse.de
- update to version 0.7.4 [gnome desktop beta3]
* Thu Jan 31 2002 - hhetter@suse.de
- updated to version 0.7.3 [gnome desktop alpha2]
  * lexer.l: gcc 3.0 update
* Fri Jan 11 2002 - hhetter@suse.de
- updated to version 0.7.2:
  * portability fixes
  * fix --version and --cflags output
  * build fixes
- specfile cleanup
* Wed Dec 12 2001 - hhetter@suse.de
- added pkgconfig files to devel package
* Wed Dec 12 2001 - hhetter@suse.de
- initial SuSE release for GNOME 2.0 platform
